Loading...
Searching...
No Matches
itk::ImageFullSampler< TInputImage >::UserData Struct Reference

## Detailed Description

template<class TInputImage>
struct itk::ImageFullSampler< TInputImage >::UserData

Definition at line 124 of file itkImageFullSampler.h.

## Public Member Functions

| ITK_DISALLOW_COPY_AND_MOVE (UserData)

## Data Fields

const InputImageType & | InputImage
const MaskType *const | Mask {}
std::vector< WorkUnit > | WorkUnits {}

## Member Function Documentation

## ITK_DISALLOW_COPY_AND_MOVE()

template<class TInputImage>

itk::ImageFullSampler< TInputImage >::UserData::ITK_DISALLOW_COPY_AND_MOVE | ( | UserData |  | ) |

## Field Documentation

## InputImage

template<class TInputImage>

const InputImageType& itk::ImageFullSampler< TInputImage >::UserData::InputImage

Definition at line 128 of file itkImageFullSampler.h.

## Mask

template<class TInputImage>

const MaskType* const itk::ImageFullSampler< TInputImage >::UserData::Mask {}

Definition at line 129 of file itkImageFullSampler.h.

## WorkUnits

template<class TInputImage>

std::vector<WorkUnit> itk::ImageFullSampler< TInputImage >::UserData::WorkUnits {}

Definition at line 130 of file itkImageFullSampler.h.

Generated on 1768596610 for elastix by 1.15.0 |